﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class Vessel
    {
        public Vessel()
        {
            VesselState = new HashSet<VesselState>();
        }
		
        public long VesselId { get; set; }
        public long? ImoNo { get; set; }
        public int? IsVerified { get; set; }
        public int? YearOfBuild { get; set; }
        public long? VesselTypeId { get; set; }
        public long? VesselStatusId { get; set; }
        public long? VesselSourceId { get; set; }
        public long? VesselFlagCodeId { get; set; }
        public long? MmsiNo { get; set; }
        public string VesselName { get; set; }
        public string CallSign { get; set; }
        public int? Dwt { get; set; }
        public int? GrossTonnage { get; set; }
        public double? Length { get; set; }
        public long? VesselLengthTypeId { get; set; }
        public double? Breadth { get; set; }
        public long? VesselBreadthTypeId { get; set; }
        public double? Speed { get; set; }
        public long? VesselSpeedTypeId { get; set; }
        public int? Power { get; set; }
        public long? VesselPowerTypeId { get; set; }
        public double? Height { get; set; }
        public double? Draught { get; set; }
		[StringLength(40)]
		public string Description { get; set; }

        public virtual VesselFlagCode VesselFlagCode { get; set; }
        public virtual VesselType VesselType { get; set; }
        public virtual ICollection<VesselState> VesselState { get; set; }
    }
}
