﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Madart.OperationalUI.DataAccess.Repositories.Interface
{
	public abstract class AbstractRepository<T> : IDisposable, IRepository<T> where T:class
	{
		protected MadartDbContext Context = new MadartDbContext();

		public T Remove(T item)
		{
			Context.Remove(item);
			return item;
		}

		public T Find(object id)
		{
			return Context.Find<T>(id);
		}

		public T Add(T item)
		{
			Context.Add(item);
			return item;
		}

		public T Update(T item)
		{
			Context.Update(item);
			return item;
		}

		public void SaveChanges()
		{
			Context.SaveChanges();
		}

		public void Dispose()
		{
			Context.Dispose();
		}
	}
}
