﻿using Madart.OperationalUI.DataAccess.Models;
using Madart.OperationalUI.DataAccess.Repositories.Interface;
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Madart.OperationalUI.DataAccess.Repositories
{
	public interface INormalRouteRepository
	{
		List<NormalRoute> GetNormalRoutes(List<int?> NormalRouteIDs);
	}
	public class NormalRouteRepository : AbstractRepository<NormalRoute>, INormalRouteRepository
	{
		/// <summary>
		/// Retrieves a List of NormalRoutes given a List of NormalRouteIDs
		/// </summary>
		/// <param name="NormalRouteIDs"></param>
		/// <returns>List of NormalRoutes</returns>
		public List<NormalRoute> GetNormalRoutes(List<int?> NormalRouteIDs)
		{
			return Context.NormalRoute.Where(n => NormalRouteIDs.Contains(n.NormalRouteId)).ToList();
		}
	}
}
