# MADlertidigART

## Installasjon og kjøring
Denne installasjonsguiden viser hvordan prosjektet installeres, kompileres og kjøres på en lokal maskin. Denne installasjonsguiden er ikke ment for å vise hvordan prosjektet kan lanseres som en lokal- eller sky-tjeneste, men heller hvordan den kan installeres for videreutvikling.
### Forutsetninger
En forutsetning for at prosjektet og testene skal kjøre som de er ment, så må maskinen ha tilgang til maskinlæringsmodellen.
#### Windows 10
| Program       | Versjon       |
| ------------- | ------------- |
| Git           | 2.21.0        |
| PostgreSQL10  | 10.7          |
| PostGIS       | 2.5.2         |
| .NET Core SDK | 2.2           |

##### Installer git. 
1. Følg installasjonsveiledningen til Git: https://git-scm.com/download/win
   - Huk av for å installere Git Bash:
   
   ![Installer Git Bash](https://drive.google.com/open?id=128GD57XTBZ4stqv-UE0z-4Z43OEPpzwP)

###### Installer PostgreSQL. 
1. Følg installasjonsveiledningen til PostgreSQL Global Development Group: https://www.postgresql.org/download/windows/
   - Huk av for å installere PostgreSQL Server, pgAdmin 4 og StackBuilder: 
   
   ![Installer StackBuilder](filesystem:https://docs.google.com/persistent/docs/documents/1pk4FnKWaew4TbaudxsUmPZRj5BC_QRAkdBht4pDOPJE/image/1iOPZET3T4l-n5CN-LZTotEoNkABbz12798xvFPs?zx=q29n2r7j2m5h)

   - Sett serveren til å lytte på port 5432: 
   
   ![Lytt på port 5432](filesystem:https://docs.google.com/persistent/docs/documents/1pk4FnKWaew4TbaudxsUmPZRj5BC_QRAkdBht4pDOPJE/image/12D-EtpSAFoSPrk2vj2248HsdJeLRAbGa9rLn3UQ?zx=bfxr9do4n7s1)

2. Innstaller PostGIS for PostgreSQL-serveren
   - Kjør StackBuilder og velg postgreSQL-serveren:
   
   ![Velg PostgreSQL, post 5432](filesystem:https://docs.google.com/persistent/docs/documents/1pk4FnKWaew4TbaudxsUmPZRj5BC_QRAkdBht4pDOPJE/image/1cdx5jBb49A_Ko55CL6zPPfHw9Y_oyImigmoi-G0?zx=mchepsd4pxh2)

   - Velg: Spatial Extensions → PostGIS 2.5 Bundle for PostgreSQL 10 (64bit) v2.5.2 
   
   ![](filesystem:https://docs.google.com/persistent/docs/documents/1pk4FnKWaew4TbaudxsUmPZRj5BC_QRAkdBht4pDOPJE/image/1fitdHv-gH5uDzi6BgkR5bkGL7VovbR_kK_pDO6U?zx=y1wb0yr2b0hj)

##### Fyll databasen med data
1. Last ned script for å fylle databasen med data: https://drive.google.com/file/d/1b1i2ezNvWjxfdGvRDi1ghLVBzwl56QlP/view
2. Pakk ut den komprimerte mappen, og kjør ‘DropCreateMadartDatabase.bat’. _Dette kan ta litt tid._

##### Installer .NET Core:
* Følg installasjonsveiledningen til Microsoft: https://dotnet.microsoft.com/download

##### Klone repo-et og bygg løsningen:
```
git clone git@github.com:Fundator/MADlertidigART.git
cd MADlertidigART
git checkout Master
```
Kjør løsningen:
```
cd Madart.OperationalUI.WebApp/
dotnet run
```

Åpne løsningen i nettleseren din: https://localhost:5001/

## Avinstallering
Denne guiden viser hvordan du kan avinstallere applikasjonen og alle verktøyene som ble lastet ned for å kjøre applikasjonen. 
### Slette prosjektmappen
For å slette mappen til prosjektet og alt innhold i mappen følg punktene under
1. Start opp kommando vinduet
2. Gå til mappen prosjektet ligger i ved hjelp av kommandoen “cd”. Eksempel: “cd \Users\bruker\Documents\Github”. Bruk deretter kommandoen: “rmdir /S MADlertidigART”. 
3. Du vil nå få et spørsmål om du vil slette mappen, dersom du vil slette mappen tast inn “y”. Mappen og alt innholdet vil nå bli fjernet.

### Slette databasen
Følg trinnene under for å slette databasen MADART1
1. Last ned script for å slette databasen(DropMADART1db.bat) 
2. Kjør 
```DropMADART1db.bat```, og skriv inn passordet til postgres, tast inn “y”, og skriv inn passordet igjen. Databasen vil nå bli slettet.
